# town_type.h File Reference

Types related to towns. More...

`#include "core/enum_type.hpp"`

Go to the source code of this file.

## Data Structures

struct | EnumPropsT< TownLayout >
| Define basic enum properties. More...

## Typedefs

typedef uint16 | TownID
typedef uint16 | HouseID
typedef uint16 | HouseClassID
typedef TinyEnumT< TownLayout > | TownLayoutByte

## Enumerations

enum | TownSizeMode { TSM_RANDOM, TSM_FIXED, TSM_CITY }

enum

{
RATING_MINIMUM = -1000, RATING_APPALLING = -400, RATING_VERYPOOR = -200, RATING_POOR = 0,
RATING_MEDIOCRE = 200, RATING_GOOD = 400, RATING_VERYGOOD = 600, RATING_EXCELLENT = 800,
RATING_OUTSTANDING = 1000, RATING_MAXIMUM = RATING_OUTSTANDING, RATING_TREE_DOWN_STEP = -35, RATING_TREE_MINIMUM = RATING_MINIMUM,
RATING_TREE_UP_STEP = 7, RATING_TREE_MAXIMUM = 220, RATING_TUNNEL_BRIDGE_DOWN_STEP = -250, RATING_TUNNEL_BRIDGE_MINIMUM = 0,
RATING_INDUSTRY_DOWN_STEP = -1500, RATING_INDUSTRY_MINIMUM = RATING_MINIMUM, RATING_ROAD_DOWN_STEP = -50, RATING_ROAD_MINIMUM = -100,
RATING_HOUSE_MINIMUM = RATING_MINIMUM, RATING_BRIBE_UP_STEP = 200, RATING_BRIBE_MAXIMUM = 800, RATING_BRIBE_DOWN_TO = -50
}

enum | TownLayout { TL_NO_ROADS = 0, TL_ORIGINAL, TL_BETTER_ROADS, TL_2X2_GRID, TL_3X3_GRID, NUM_TLS }
| Town Layouts. More...

## Detailed Description

Types related to towns.

Definition in file town_type.h.

## Enumeration Type Documentation

anonymous enum

Enumerator:

  RATING_OUTSTANDING | OUTSTANDING.

Definition at line 23 of file town_type.h.

enum TownLayout

Town Layouts.

Enumerator:

  TL_NO_ROADS | Build no more roads, but still build houses.
  TL_ORIGINAL | Original algorithm (min. 1 distance between roads).
  TL_BETTER_ROADS | Extended original algorithm (min. 2 distance between roads).
  TL_2X2_GRID | Geometric 2x2 grid algorithm.
  TL_3X3_GRID | Geometric 3x3 grid algorithm.
  NUM_TLS | Number of town layouts.

Definition at line 62 of file town_type.h.